<%@ page import="net.dotmyself.ws.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"     "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Web service pour les d&eacute;partments fran&ccedil;ais</title>
    </head>
    <body>
        <h1>Web service pour les d&eacute;partments fran&ccedil;ais</h1>

        <%
        String code = request.getParameter("code");
        if(code != null && code.length() > 0) {
                try {
                        int depCode = Integer.parseInt(code);
                        DepartmentInformation datasource = new DepartmentInformation();
                        Department dept = datasource.getDepartment(depCode);
        %>
        <p>R&eacute;sultats relatifs au d&eacute;partement <%= code %></p>
        <ul>
            <li><strong>Nombre d'habitants : </strong> <%= dept.getPopulation() %></li>
            <li><strong>Superficie : </strong> <%= dept.getSurface() %> km&sup2;</li>
            <li><strong>Niveau d'urbanisation : </strong> <%= dept.getUrbanization() %></li>
        </ul>
        <%
				
                } catch (Exception ex) {
                        ex.printStackTrace();
                }
        %>
        <%
        } else {
        %>
        <p>Utilisez le formulaire ci-dessous pour g&eacute;n&eacute;rer de man&egrave;re al&eacute;atoire 
            des donn&eacute;es relatives aux d&eacute;partements fran&ccedil;ais : </p>
        <form method="get" action="index.jsp">
            <p>	
                <strong>Code :</strong> 
                <input name="code" type="text" size="20" /> 
                <input type="submit" value="Get information"/>
            </p>
        </form>
        <%
        }
        %>

        <p>Liens:</p>
        <ul>
            <li>Vers le <a href="http://localhost:8080/department/department?wsdl">WSDL</a></li>
            <li>Vers la <a href="http://localhost:8080/department/">page principale</a></li>
        </ul>

    </body>
</html>
